Naviframe

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Naviframe

Naviframe stands for navigation frame. It's a views manager for applications. More...

## Functions
Evas_Object * | elm_naviframe_add (Evas_Object *parent)
| Add a new Naviframe object to the parent. More...
EINA_DEPRECATED void | elm_naviframe_item_title_visible_set (Elm_Object_Item *it, Eina_Bool visible)
| Show/Hide the title area. More...
EINA_DEPRECATED Eina_Bool | elm_naviframe_item_title_visible_get (const Elm_Object_Item *it)
| Get a value whether title area is visible or not. More...

## Detailed Description

Naviframe stands for navigation frame. It's a views manager for applications.

A naviframe holds views (or pages) as its items. Those items are organized in a stack, so that new items get pushed on top of the old, and only the topmost view is displayed at one time. Due to the characteristics of a stack, even though you push a new item, previous item is not deleted. Previous item will be shown when you pop new item. The transition between views is animated, depending on the theme applied to the widget.

Naviframe views hold spaces to various elements, which are:

- back button, used to navigate to previous views,
- next button, used to navigate to next views in the stack,
- title label,
- sub-title label,
- title icon and
- content area.

One can use elm_object_item_part_content_set, elm_object_item_part_content_get, elm_object_item_part_content_unset functions to handle the contents. The swallow part name should be one of these:

- `"default"` - The main content of the current page
- `"icon"` - An icon in the title area of the current page
- `"prev_btn"` - A button of the current page to go to the previous page
- `"next_btn"` - A button of the current page to go to the next page

One can use elm_object_item_part_text_set, elm_object_item_part_text_get to handle the text parts. The swallow part name should be one of these:

- `"default"` - A title label in the title area of the current page
- `"subtitle"` - A sub-title label in the title area of the current page

Most of those content objects can be passed at the time of an item creation (see elm_naviframe_item_push()).

Naviframe items can have different styles, which affect the transition between views, for example. On the default theme, two of them are supported:

- `"basic"` - views are switched sliding horizontally, one after the other
- `"overlap"` - like the previous one, but the previous view stays at its place and is overlapped by the new

This widget emits the following signals, besides the ones sent from Layout:

- `"transition,finished"` - When the transition is finished in changing the item
- `"title,transition,finished"` - When the title area's transition is finished in changing the state of the title
- `"title,clicked"` - User clicked title area
- `"focused"` - When the naviframe has received focus. (since 1.8)
- `"unfocused"` - When the naviframe has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

All the parts, for content and text, described here will also be reachable by naviframe items direct calls:

- elm_object_item_del
- elm_object_item_part_text_set
- elm_object_item_part_text_get
- elm_object_item_part_content_set
- elm_object_item_part_content_get
- elm_object_item_part_content_unset
- elm_object_item_signal_emit

What happens is that the topmost item of a naviframe will be the widget's target layout, when accessed directly. Items lying below the top one can be interacted with this way.

Here is an example on its usage:

- naviframe_example

## Function Documentation

Evas_Object* elm_naviframe_add | ( | Evas_Object * | parent | ) |

Add a new Naviframe object to the parent.

Parameters

  parent | Parent object

Returns
  New object or `NULL`, if it cannot be created

EINA_DEPRECATED Eina_Bool elm_naviframe_item_title_visible_get | ( | const Elm_Object_Item * | it | ) |

Get a value whether title area is visible or not.

Parameters

  it | The naviframe item

Returns
  If `EINA_TRUE`, title area is visible

Deprecated:
  Use elm_naviframe_item_title_enabled_get() instead.

See also
  also elm_naviframe_item_title_visible_set()

EINA_DEPRECATED void elm_naviframe_item_title_visible_set | ( | Elm_Object_Item * | it,
|  | Eina_Bool | visible
| ) |  |

Show/Hide the title area.

Parameters

  it | The naviframe item
  visible | If `EINA_TRUE`, title area will be visible, hidden otherwise

When the title area is invisible, then the controls would be hidden so as to expand the content area to full-size.

Deprecated:
  Use elm_naviframe_item_title_enabled_set() instead.

See also
  also elm_naviframe_item_title_visible_get()
  also elm_naviframe_item_title_enabled_get()